<!DOCTYPE html>
<html>
    <head>
        <title>Frp Directory Manage</title>
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
        <!-- 防止双击屏幕的时候页面放大问题 -->
        <meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=no" />
        <!-- 隐藏地址栏 -->
        <meta name='apple-mobile-web-app-capable' content='yes' />
        <meta name='full-screen' content='true' />
        <meta name='x5-fullscreen' content='true' />
        <meta name='360-fullscreen' content='true' />
        <meta content="text/html; charset=utf-8" http-equiv="content-type" />
        <script src="/js/ajax.js"></script>
        <script src="/js/element.js"></script>
        <script type="text/javascript" src="/js/qrcodejs/jquery.min.js"></script>
        <script type="text/javascript" src="/js/cookies.js"></script>        
        <script type="text/javascript" src="/js/editor.js"></script>        
        <link rel="stylesheet" href="/css/public.css">
        <script type="text/javascript" >
            var f = location.href.replace(/.*(\?|\&)f=([^&]+)/gi, "$2");
            f = decodeURIComponent(f);
            var fext = f.replace(/.+\.(\w+)$/gi, '$1');
            document.title = decodeURIComponent(f.replace(/.*\/(.+)/g, '$1'));
        </script>        
        <style>
            body{padding:0; margin:0;}
        </style>

    </head>
    <body>
        <div class="container" >
            <div id="hdivcontent"></div>
            <script type="text/javascript">
               var n=0;
               function sf(){
                    if(n<1){n++;return;}
                    var v = myEditor.innerText;
                    ajax({
                        'url':'/index.php?act=savefile&f=' + encodeURIComponent(f)
                        ,"data" : encodeURIComponent(v)
                        ,"type":"POST"
                        ,success:function(e){
                            console.log(e);
                        }
                    });
                }
                var tid=null; myEditor = new Editor("#hdivcontent");
                myEditor.onchange=function(){
                    if(tid) clearTimeout(tid);
                    tid=setTimeout(function(){sf();}, 800);
                }
                function reander(data){
                    //var html = d2ext(data, fext)
                    //myEditor.innerHTML = html;
                    myEditor.innerText= data;
                }

                ajax({
                    url:"/index.php?act=readtext&f=" + encodeURIComponent(f)
                    , success : function(e){
                        var ext=/.+\.(\w+)\s*$/gi.exec(f);
                        if(ext){
                            myEditor.setLib(ext[1]);
                        }
                        reander(e);
                    }
                });

               document.body.addEventListener("mousedown", function(){
                   myEditor.focus();
               });

            </script>
        </div>
    </body>    
</html>
